#ifndef QGISMTTOOLSELECT_H
#define QGISMTTOOLSELECT_H

#include "qgismttool.h"
#include "qgismtglasslayer.h"
#include <qgsvectorlayer.h>

class QGisMTToolSelect : public QGisMTTool
{
    Q_OBJECT
    enum SelectionType
    {
        REPLACE,
        ADD,
        REMOVE
    };

public:
    QGisMTToolSelect(QgsMapCanvas* canvas, QGisMTGlassLayer* glass,SelectionType selectType = REPLACE);

signals:

public slots:
    virtual void toolAction(const QLine& l1, const QLine& l2);
    virtual void toolActionEnd() ;

protected:
    QGisMTGlassLayer *glassLayer;
    QgsVectorLayer* getActiveVectorLayer();
    SelectionType type;
};

#endif // QGISMTTOOLSELECT_H
